------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
function ClosingWindow()
	function DisplayerWindow:Closing(sender, args)
		settings.isWindowVisible = false;
		SaveSettings();
	end
end

------------------------------------------------------------------------------------------
-- setting the shortcuts
------------------------------------------------------------------------------------------
function SetTheShortCut()
	if(settings.shortcutData_1 ~= "") then
		centerQS1:SetShortcut( Turbine.UI.Lotro.Shortcut( 2, settings.shortcutData_1 ) );
	end
end

------------------------------------------------------------------------------------------
-- setting the shortcuts for drag and drop
------------------------------------------------------------------------------------------
function SetTheDragAndDrop()
	centerQS1.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();	
		tmp = centerQS1:GetShortcut();
		tmp = tmp:GetData();
		settings.shortcutData_1 = tmp;

		local tmp2 = Turbine.UI.Lotro.Quickslot();	
		tmp2 = centerQS1:GetShortcut();
		tmp2 = tmp2:GetType();

		Turbine.Shell.WriteLine(rgb["white"] .. "-------------- Shortcut infos --------------" .. rgb["clear"]);
		Turbine.Shell.WriteLine(rgb["yellow"] .. "Datas : " .. rgb["clear"] .. rgb["green"] .. tmp .. rgb["clear"]);
		Turbine.Shell.WriteLine(rgb["yellow"] .. "Type : " .. rgb["clear"] .. rgb["green"] .. tmp2 .. rgb["clear"]);		

		if(centerQS1:GetShortcut():GetItem() == nil)then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. 
				" - " .. rgb["error"] .. Strings.ErrorDrag ..  rgb["clear"]);
		else
			tmpName = centerQS1:GetShortcut():GetItem():GetName();
			settings.itemName_1 =  tmpName;
			settings.restart = true;

			local iteminfo = centerQS1:GetShortcut():GetItem():GetItemInfo();

			Turbine.Shell.WriteLine(rgb["white"] .. "-------------- Items infos ----------------" .. rgb["clear"]);
			Turbine.Shell.WriteLine(rgb["yellow"] .. "Name : " .. rgb["clear"] .. rgb["green"] .. tostring(iteminfo:GetName()) .. rgb["clear"]);
			Turbine.Shell.WriteLine(rgb["white"] .. "----------- Others Items infos ------------" .. rgb["clear"]);
            Turbine.Shell.WriteLine(rgb["yellow"] .. "QualityImageID : " .. rgb["clear"] .. rgb["green"] .. tostring(iteminfo:GetQualityImageID()) .. rgb["clear"]);
            Turbine.Shell.WriteLine(rgb["yellow"] .. "BackgroundImageID : " .. rgb["clear"] .. rgb["green"] .. tostring(iteminfo:GetBackgroundImageID()) .. rgb["clear"]);
            Turbine.Shell.WriteLine(rgb["yellow"] .. "UnderlayImageID : " .. rgb["clear"] .. rgb["green"] .. tostring(iteminfo:GetUnderlayImageID()) .. rgb["clear"]);
            Turbine.Shell.WriteLine(rgb["yellow"] .. "ShadowImageID : " .. rgb["clear"] .. rgb["green"] .. tostring(iteminfo:GetShadowImageID()) .. rgb["clear"]);
            Turbine.Shell.WriteLine(rgb["yellow"] .. "IconImageID : " .. rgb["clear"] .. rgb["green"] .. tostring(iteminfo:GetIconImageID()) .. rgb["clear"]);
			Turbine.Shell.WriteLine(rgb["yellow"] .. "Category : " .. rgb["clear"] .. rgb["green"] .. tostring(iteminfo:GetCategory()) .. rgb["clear"]);
			Turbine.Shell.WriteLine(rgb["yellow"] .. "Durability : " .. rgb["clear"] .. rgb["green"] .. tostring(iteminfo:GetDurability()) .. rgb["clear"]);
			Turbine.Shell.WriteLine(rgb["yellow"] .. "MaxStackSize : " .. rgb["clear"] .. rgb["green"] .. tostring(iteminfo:GetMaxStackSize()) .. rgb["clear"]);
			Turbine.Shell.WriteLine(rgb["yellow"] .. "IsMagic : " .. rgb["clear"] .. rgb["green"] .. tostring(iteminfo:IsMagic()) .. rgb["clear"]);
			Turbine.Shell.WriteLine(rgb["yellow"] .. "Quantity : " .. rgb["clear"] .. rgb["green"] .. tostring(returnBagValue(tostring(iteminfo:GetName()))) .. rgb["clear"]);
			Turbine.Shell.WriteLine(rgb["white"] .. "-------------- End Items infos -------------" .. rgb["clear"]);
		end

		SaveSettings();
	end
end

function returnBagValue(itemToSearch)
	local tq1 = 0;	
	local backpack = Turbine.Gameplay.LocalPlayer:GetInstance():GetBackpack();
	local bagSize = backpack:GetSize();
	for i=1, bagSize do
		if(backpack:GetItem(i) ~= nil) then
			if(backpack:GetItem(i):GetName() == itemToSearch ) then
				tq1 = tq1 + tostring(backpack:GetItem(i):GetQuantity());
			end
		end
	end
	return tq1;
end

------------------------------------------------------------------------------------------
-- delete the shortcut with mouse wheel
------------------------------------------------------------------------------------------
function DeleteOnMouseWheel()
	centerQS1.MouseWheel = function(sender, args)
		settings.shortcutData_1 = tostring(""); 
		settings.itemName_1 = tostring("");
		centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings();
	end
end