
function CreateMainWindow()
	------------------------------------------------------------------------------------------
	-- create the main window
	------------------------------------------------------------------------------------------
	DisplayerWindow=Turbine.UI.Lotro.GoldWindow(); 
	DisplayerWindow:SetSize(200,120); 
	DisplayerWindow:SetText( Strings.PluginName ); 
	DisplayerWindow:SetWantsUpdates(true);
	DisplayerWindow:SetVisible(false);
	DisplayerWindow:SetZOrder(-1);
	DisplayerWindow:SetWantsKeyEvents(true);
	DisplayerWindow:SetPosition(settings.positionX, settings.positionY);

	------------------------------------------------------------------------------------------
	-- yel helper center window
	------------------------------------------------------------------------------------------
	centerWindow = Turbine.UI.Extensions.SimpleWindow();
	centerWindow:SetSize( 40 , 40 );
	centerWindow:SetParent( DisplayerWindow );
	centerWindow:SetPosition( 80 ,DisplayerWindow:GetHeight()/2 - 12);
	centerWindow:SetVisible( true );
	centerWindow:SetBackColor( Turbine.UI.Color( .3, .5, .7, .5) );

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 40, 40  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerQS1 = Turbine.UI.Lotro.Quickslot();
	centerQS1:SetParent( centerWindow );
	centerQS1:SetPosition( 1, 1 );
	centerQS1:SetSize( 36, 36 );
	centerQS1:SetUseOnRightClick(false);
	centerQS1:SetWantsUpdates(true);

	ClosingTheWindow();
	SetTheDragAndDrop();
	DeleteOnMouseWheel();
	SetTheShortCut();
end

function ClosingTheWindow()
	function DisplayerWindow:Closing(sender, args)
		settings.isWindowVisible = false;
		SaveSettings();
	end
end