ResourcePath = "Homeopatix/Displayer/Resources/";

Images = {
	MinimizedIcon = ResourcePath .. "Displayer.tga",
};

function CreateLocalizationInfo()

	Strings = {};
	if Turbine.Engine.GetLanguage() == Turbine.Language.German then
		Strings.PluginName = "Farming Helper";
		Strings.PluginEscEnable = "Escape-Taste aktiviert";
		Strings.PluginEscDesable = "Escape-Taste deaktiviert";
		Strings.PluginAltEnable = "Alt-Taste aktiviert";
		Strings.PluginAltDesable = "Alt-Taste deaktiviert";
		Strings.PreventionButton = "OK" ;
		Strings.PluginHelp = " *** Displayer Help ***\n\n" ..
		"/show Zeigen Sie das Fenster an\n" ..
		"/hide Verstecke das Fenster\n" ..
		"Sie k\195\182nnen die Elemente, per Drag & Drop in die Zeile ziehen und l\195\182schen Sie sie mit dem Mausrad\n";
		Strings.ErrorDrag = "Sie m\195\188ssen ein Objekt aus Ihrem Rucksack ziehen";
		Strings.PluginText = "Von Homeopatix";

elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
		Strings.PluginName = "Displayer Helper";
		Strings.PluginEscEnable = "Touche Escape activ\195\169";
		Strings.PluginEscDesable = "Touche Escape desactiv\195\169";
		Strings.PluginAltEnable = "Touche Alt activ\195\169";
		Strings.PluginAltDesable = "Touche Alt desactiv\195\169";
		Strings.PreventionButton = "OK" ;
		Strings.PluginHelp = " *** Displayer Aide ***\n\n" ..
		"/show affiche la fenetre\n" ..
		"/hide cache la fenetre\n" ..
		"Vous pouvez faire glisser et d\195\169poser les objects sur la ligne et les effacer avec la molette de la souris\n";
		Strings.ErrorDrag = "Vous devez faire glisser un objet depuis votre sac \195\160 dos";
		Strings.PluginText = "Par Homeopatix";

elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
		Strings.PluginName = "Farming Helper";
		Strings.PluginEscEnable = "Escape key Activated";
		Strings.PluginEscDesable = "Escape key Desactivated";
		Strings.PluginAltEnable = "Alt key Activated";
		Strings.PluginAltDesable = "Alt key Desactivated";
		Strings.PreventionButton = "OK" ;
		Strings.PluginHelp = " *** Displayer Help ***\n\n" ..
		"/show display the window\n" ..
		"/hide hide the window\n" ..
		"You can drag and drop the items on the line and delete them with the mouse wheel\n";
		Strings.ErrorDrag = "You must drag an object from your backpack";
		Strings.PluginText = "By Homeopatix";
	end
end